# dotfiles

These are my dotfiles, useful for my own shell configuration and not much else. Installation is easy, just paste this into your terminal.

    #!/bin/sh
    # Initialization script sourced from Atlassian:
    #   https://developer.atlassian.com/blog/2016/02/best-way-to-store-dotfiles-git-bare-repo/
    mkdir -p $HOME/dev
    git clone --bare ssh://git@git.penguincoder.org:2222/penguincoder/dotfiles.git dev/dotfiles.git
    function dotfiles {
      git --git-dir=$HOME/dev/dotfiles.git/ --work-tree=$HOME $@
    }
    dotfiles checkout
    if [ $? = 0 ]; then
      mkdir -p .config-backup
      echo "Checked out config.";
      else
        echo "Backing up pre-existing dot files.";
        dotfiles checkout 2>&1 | egrep "\s+\." | awk {'print $1'} | xargs -I{} mv {} .config-backup/{}
    fi;
    dotfiles checkout
    dotfiles config status.showUntrackedFiles no
    dotfiles push --set-upstream origin master
